Loading...
Searching...
No Matches
etl::io_port_ro< T, Address > Class Template Reference

Read only port. More...

`#include <io_port.h>`

## Public Types

typedef T | value_type
typedef volatile T * | pointer
typedef volatile const T * | const_pointer
typedef volatile T & | reference
typedef volatile const T & | const_reference
typedef etl::private_io_port::const_iterator< io_port_ro< T, Address > > | const_iterator

## Public Member Functions

| ETL_STATIC_ASSERT (etl::is_integral< T >::value, "Not an integral type")
const_iterator | iter () const
| Get a const_iterator to this port.
const_iterator | citer () const
| Get a const_iterator to this port.
| operator value_type () const
| Read.
value_type | read () const
| Read.
pointer | get_address ()
| Get the IO port address.
const_pointer | get_address () const
| Get the IO port address.

## Detailed Description

template<typename T, uintptr_t Address = 0>
class etl::io_port_ro< T, Address >

Read only port.

The documentation for this class was generated from the following file:

- include/etl/io_port.h